Bug 433970 - pan failed massrebuild attempt for GCC 4.3
pan failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pan (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Dalloz
Fedora Extras Quality Assurance
:
: 440925 446914 449641 (view as bug list)
Depends On:
Blocks: gcc43errors 449335
  Show dependency treegraph
 
Reported: 2008-02-22 07:51 EST by Jesse Keating
Modified: 2013-01-09 21:46 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-06 10:11:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to fix the compilation (5.15 KB, patch)
2008-05-21 14:44 EDT, Pavel Polischouk
no flags Details | Diff

  None (edit)
Description Jesse Keating 2008-02-22 07:51:12 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=436019
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-22 09:22:01 EST
../../pan/general/string-view.h: In static member function 'static char*
pan::StringView::strchr(const char*, size_t, char)':
../../pan/general/string-view.h:48: error: 'memchr' was not declared in this scope
../../pan/general/string-view.h: In member function 'bool
pan::StringView::operator==(const char*) const':
../../pan/general/string-view.h:108: error: 'strlen' was not declared in this scope
../../pan/general/string-view.h: In member function 'bool
pan::StringView::operator!=(const char*) const':
../../pan/general/string-view.h:109: error: 'strlen' was not declared in this scope
../../pan/general/string-view.h: In member function 'int
pan::StringView::strncasecmp(const char*, unsigned int)':
../../pan/general/string-view.h:116: error: '::strncasecmp' has not been declared
../../pan/general/string-view.h:118: error: '::strncasecmp' has not been declared
../../pan/general/string-view.h: In member function 'char*
pan::StringView::strstr(const char*) const':
../../pan/general/string-view.h:138: error: '::strlen' has not been declared
../../pan/general/string-view.h: In member function 'void
pan::StringView::assign(const char*)':
../../pan/general/string-view.h:148: error: 'strlen' was not declared in this scope
../../pan/general/string-view.h: In member function 'pan::StringView&
pan::StringView::operator=(const char*)':
../../pan/general/string-view.h:149: error: 'strlen' was not declared in this scope
file-util.cc: In function 'std::string pan::file::sanitize(const pan::StringView&)':
file-util.cc:189: error: 'replace' is not a member of 'std'
file-util.cc: In function 'char* pan::file::get_unique_fname(const gchar*, const
gchar*)':
file-util.cc:226: error: 'strrchr' was not declared in this scope
/usr/include/stdio.h: In function 'bool pan::file::get_text_file_contents(const
pan::StringView&, std::string&, const char*, const char*)':
/usr/include/stdio.h:157: error: too many arguments to function 'int
remove(const char*)'
file-util.cc:301: error: at this point in file
file-util.cc:301: error: invalid operands of types 'int' and 'char*' to binary
'operator-'
make[3]: *** [file-util.o] Error 1
make[3]: *** Waiting for unfinished jobs....
In file included from file-util.h:31,
                 from line-reader.cc:7:
../../pan/general/string-view.h: In static member function 'static char*
pan::StringView::strchr(const char*, size_t, char)':
../../pan/general/string-view.h:48: error: 'memchr' was not declared in this scope
../../pan/general/string-view.h: In member function 'bool
pan::StringView::operator==(const char*) const':
../../pan/general/string-view.h:108: error: 'strlen' was not declared in this scope
../../pan/general/string-view.h: In member function 'bool
pan::StringView::operator!=(const char*) const':
../../pan/general/string-view.h:109: error: 'strlen' was not declared in this scope
../../pan/general/string-view.h: In member function 'int
pan::StringView::strncasecmp(const char*, unsigned int)':
../../pan/general/string-view.h:116: error: '::strncasecmp' has not been declared
../../pan/general/string-view.h:118: error: '::strncasecmp' has not been declared
../../pan/general/string-view.h: In member function 'char*
pan::StringView::strstr(const char*) const':
../../pan/general/string-view.h:138: error: '::strlen' has not been declared
../../pan/general/string-view.h: In member function 'void
pan::StringView::assign(const char*)':
../../pan/general/string-view.h:148: error: 'strlen' was not declared in this scope
../../pan/general/string-view.h: In member function 'pan::StringView&
pan::StringView::operator=(const char*)':
../../pan/general/string-view.h:149: error: 'strlen' was not declared in this scope
line-reader.cc: In constructor 'pan::FileLineReader::FileLineReader(const
pan::StringView&)':
line-reader.cc:16: error: 'calloc' was not declared in this scope
line-reader.cc: In destructor 'virtual pan::FileLineReader::~FileLineReader()':
line-reader.cc:29: error: 'free' was not declared in this scope
line-reader.cc: In member function 'virtual bool
pan::FileLineReader::getline(pan::StringView&)':
line-reader.cc:35: error: 'memchr' was not declared in this scope
line-reader.cc:46: error: 'memmove' was not declared in this scope
line-reader.cc:52: error: 'calloc' was not declared in this scope
line-reader.cc:53: error: 'memmove' was not declared in this scope
line-reader.cc:57: error: 'free' was not declared in this scope
Comment 2 Bug Zapper 2008-05-14 01:21:26 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Pavel Polischouk 2008-05-21 14:44:35 EDT
Created attachment 306299 [details]
Proposed patch to fix the compilation

Adds includes that were implied by previous GCC versions: stdlib.h, algorithm,
etc.

Signed-off by: Pavel Polischouk <pavelvp@inbox.ru>
Comment 4 Pavel Polischouk 2008-05-21 14:50:09 EDT
*** Bug 446914 has been marked as a duplicate of this bug. ***
Comment 5 Balaji G 2008-05-24 10:30:48 EDT
*** Bug 440925 has been marked as a duplicate of this bug. ***
Comment 6 Matt Domsch 2008-07-03 13:22:05 EDT
*** Bug 449641 has been marked as a duplicate of this bug. ***
Comment 7 Vasile Gaburici 2008-08-03 07:31:57 EDT
New upstream version 0.133 is available, which fixes compilation and some SECURITY issues. Please update the rpm...
Comment 8 Vasile Gaburici 2008-08-03 08:42:29 EDT
This works for me: http://www.cs.umd.edu/~gaburici/pan-0.133-3.fc9.src.rpm
Comment 9 Alexander Dalloz 2008-08-10 07:25:29 EDT
I will care for a new Fedora release these days.
Comment 10 FTBFS 2008-09-05 12:14:35 EDT
This package has Failed to Build From Source for many months.  Per
http://fedoraproject.org/wiki/FTBFS, this package is now proposed for
removal from the distribution.  Please address this FTBFS bug
immediately, or this package will be removed from the distribution
within the next few weeks.

Thank you for your continued contributions to Fedora, and your
commitment to ensuring Fedora packages remain buildable from source
code.
Comment 11 Erik van Pienbroek 2008-09-06 10:11:02 EDT
I just updated pan to version 0.133 which includes the GCC 4.3 patch and build it for both rawhide and F-9.

Koji logs at http://koji.fedoraproject.org/koji/taskinfo?taskID=810394 and http://koji.fedoraproject.org/koji/taskinfo?taskID=810415

Alexander:
- The patch 'body-pane.cc.diff' has been removed as it has been upstreamed
- I've left the pushing of an F-9 update up to you

Note You need to log in before you can comment on or make changes to this bug.